Package org.apache.sling.testing.mock.sling.servlet

# Class MockRequestPathInfo

java.lang.Object
org.apache.sling.servlethelpers.MockRequestPathInfo
org.apache.sling.testing.mock.sling.servlet.MockRequestPathInfo

All Implemented Interfaces:
  `org.apache.sling.api.request.RequestPathInfo`

public final class MockRequestPathInfo extends org.apache.sling.servlethelpers.MockRequestPathInfo
Mock `RequestPathInfo` implementation.

## Constructor Summary

Constructors
Constructor
Description
`MockRequestPathInfo()`
Deprecated.
Use @link `MockRequestPathInfo(ResourceResolver)` instead.
`MockRequestPathInfo(org.apache.sling.api.resource.ResourceResolver resourceResolver)`

## Method Summary

### Methods inherited from class org.apache.sling.servlethelpers.MockRequestPathInfo

`getExtension, getResourcePath, getSelectors, getSelectorString, getSuffix, getSuffixResource, setExtension, setResourcePath, setSelectorString, setSuffix`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockRequestPathInfo

@Deprecated public MockRequestPathInfo()
Deprecated.
Use @link `MockRequestPathInfo(ResourceResolver)` instead.

### MockRequestPathInfo

public MockRequestPathInfo(org.apache.sling.api.resource.ResourceResolver resourceResolver)

Parameters:
  `resourceResolver` - Resource resolver